package rule;

/**
 * 
 * @author Kevin Majchrzak
 * 
 */
public class DistanceAirFireball extends Rule {

	public DistanceAirFireball(GameStateInterface gameState) {
		super(gameState);
	}

	@Override
	public boolean satisfied() {
		return (gameState.getCommandCenter().getDistanceX() > 300)
				&& (gameState.getEnemyCharacterData().getY() < 270);
	}

	@Override
	public void execute() {
		gameState.getCommandCenter().commandCall("STAND_D_DF_FA");
	}

	@Override
	public int getPriority() {
		return -1;
	}
}
