import java.util.Random;

import enumerate.Action;
import gameInterface.AIInterface;
import structs.CharacterData;
import structs.FrameData;
import structs.GameData;
import structs.Key;
import structs.MotionData;

import commandcenter.CommandCenter;

/**
 * @author Phakhawat Sarakit 
 * Fight Game AI Competition 2014 Category 3 T3c 
 * 
 * Create at 19/8/2014
 * if you have question feel free ask me i really appreciate. 
 * contact me at 
 * email: toonja1990@hotmail.com
 * facebook https://www.facebook.com/toonja20th
 */
public class T3c implements AIInterface {
	// my note skills.
	// STAND_D_DB_BB run head butt long range 250
	// STAND_D_DB_BA long punch good range 170
	// STAND_F_D_DFA tuub close range 130
	// STAND_F_D_DFB slide
	// STAND_D_DF_FA direct fireball
	// STAND_D_DF_FB up fireball
	// AIR_UB jump kick
	// AIR_F_D_DFB long jump kick
	//AIR_DB jump stum

	GameData gd;
	Key inputKey;
	boolean playerNumber;
	FrameData frameData;
	CommandCenter cc;
	int X = 0;
	String myAction = null;
	int attack_type = 0;
	CharacterData characterdata;
	CharacterData characterdata2;
	int skillcounter=0;
	int punchcounter=0;
	
	Random rnd;
	@Override
	public synchronized int initialize(GameData gameData, boolean playerNumber) {
		gd = gameData;
		this.playerNumber = playerNumber;
		this.inputKey = new Key();
		cc = new CommandCenter();
		frameData = new FrameData();
		rnd = new Random();
		
		return 0;

	}

	@Override
	public synchronized void getInformation(FrameData frameData) {
		this.frameData = frameData;

		cc.setFrameData(this.frameData, playerNumber);

	}

	@Override
	public synchronized void processing() {

		if (!frameData.emptyFlag && frameData.getRemainingTime() > 0) {
			characterdata2=cc.getEnemyCharacter();
			characterdata=cc.getMyCharacter();
			
			int posx=characterdata.getX();
			int posx2=characterdata2.getX();
	
			//get X Distance
			X = cc.getDistanceX();
			System.out.println("X="+X);
			//get my Action
			myAction = cc.getMyCharacter().getAction().name();
			//////////////
			//get opponet action in this case i get attack type
			Action oppAct = cc.getEnemyCharacter().getAction();
			MotionData oppMotion = new MotionData();
			if (playerNumber)
				oppMotion = gd.getPlayerTwoMotion().elementAt(oppAct.ordinal());
				
			else
				oppMotion = gd.getPlayerOneMotion().elementAt(oppAct.ordinal());
			attack_type = oppMotion.getAttackType();
			
			
			//////////////
			if (cc.getskillFlag()) {

				inputKey = cc.getSkillKey();

			} else {
			
				inputKey.empty();
				cc.skillCancel();
								
				// spacial skill
				if (cc.getMyEnergy() >= 400) {
					cc.commandCall("STAND_D_DF_FC");
					//reset limit skill to 0 
					skillcounter=0;
									
				}
			
				//attack with skill that use energy //slide attack
				else if(X<220&&X>150&&cc.getMyEnergy()<400&&cc.getMyEnergy()>50&&skillcounter!=15&&!cc.getEnemyCharacter().getState().name().equals("AIR")){
					cc.commandCall("STAND_F_D_DFB");
					//limit skill use
					
					skillcounter++;
					
				}
				//attack with nomal skill no energy use
				else if(X>63&&X<150&&cc.getMyEnergy()<400){
					cc.commandCall("STAND_FB");
		
				}
				
				
				///////////////////////////////
				//close combat
				///////////////////////////////
				//punch in very close range
				else if(X<32){
					if(punchcounter!=5){
					cc.commandCall("STAND_B");
				
					punchcounter++;
					
					}//combo with punch
					else {
						
						cc.commandCall("CROUCH_FB");
						punchcounter=0;
						
					
					}
				}
				//throw
				 else if (X>32&&X <63&&!cc.getEnemyCharacter().getAction().name().startsWith("AIR")) {
					cc.commandCall("THROW_B");
				
					} 
				//combo with trow
				 else if (cc.getEnemyCharacter().getAction().name()
						.equals("THROW_SUFFER")&&cc.getMyEnergy()>=30) {
					cc.commandCall("STAND_D_DF_FB ");
				
					}
				
				// end of close combat
				///////////////////////////////
				
				//counter attack
				//counter spacial attack
				else if (cc.getEnemyCharacter().getAction().name()
						.equals("STAND_D_DF_FC")) {
					cc.commandCall("FOR_JUMP");
					
					}			
				
				else if (myAction.equals("FOR_JUMP")) {
					cc.commandCall("AIR_DB");
				
					} 
				
				/////////////////////////////////
				//defend tactics
				//attack type 
				//1=high
				//2=middle
				//3=low 
				//4=throw
				/////////////////////////////////
				//high attack type
				else if (attack_type == 1&&X<200&&!cc.getEnemyCharacter().getAction().name().equals("STAND_D_DF_FC")) {
					cc.commandCall("CROUCH_FB");
					
					} 
				//middle attack type
				else if (attack_type == 2&&X<200) {
					cc.commandCall("STAND_FA");
				
				}
				//low attack type
				else if(attack_type==3&&X<200&&!cc.getEnemyCharacter().getAction().name().equals("STAND_D_DF_FC")){
					cc.commandCall("CROUCH_FB");
					
				}
				// enermy use air skill 
				else if(cc.getEnemyCharacter().getAction().name().startsWith("AIR")&&X<230){
					cc.commandCall("AIR_UB");
			} 
				
				//jump out when at the end of corner
				else if(posx==710||posx==-170&&cc.getMyEnergy()<400){
					cc.commandCall("FOR_JUMP");
					
				}
				//end of defend tactic
			    ////////////////////////////////////
		
				//automatic move
				else if(posx>posx2){
				inputKey.L =true;
				}
				else
				{
				inputKey.R =true;
				}
			
		}}
	}
	@Override
	public synchronized Key input() {
		// TODO Auto-generated method stub
		return inputKey;
	}

	@Override
	public synchronized void close() {

		// TODO Auto-generated method stub

	}

	@Override
	public String getCharacter() {
		// TODO Auto-generated method stub
		return CHARACTER_LUD;
	}

}
