package rule;

/**
 * 
 * @author Kevin Majchrzak
 * 
 */
public class DistanceFireball extends Rule {

	public DistanceFireball(GameStateInterface gameState) {
		super(gameState);
	}

	@Override
	public boolean satisfied() {
		return (gameState.getCommandCenter().getDistanceX() < 500)
				&& (gameState.getCommandCenter().getDistanceX() > 385);
	}

	@Override
	public void execute() {
		gameState.getCommandCenter().commandCall("STAND_D_DF_FA");
	}

	@Override
	public int getPriority() {
		return 3;
	}
}
